local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(534)
local instance = EJ_GetInstanceInfo(250) or ""
do
	local data = {
		version = 1,
		key = "Pandemonius",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {18341}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {18341},
			unittracing = {"boss1"},
			defeat = 18341,
		},
		userdata = {

		},		
		messages = {

		},
		onstart = {

		},
		alerts = {
			-- Warning
			wDarkShell = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[32358]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[32358]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[32358],
				sound = "ALERT10",
				desc = 32358,
			},
			-- Casts
			DarkShellInc = {
				varname = format(L.alert["%s Incoming"],SN[32358]),
				type = "centerpopup",
				text = format(L.alert["%s Incoming"],SN[32358]),
				time = 6,
				color1 = "RED",
				icon = ST[32358],
				desc = 32358,
			},			
		},
		events = {
			-- DarkShell 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {32358, 38759},
				execute = {	
					{
						"alert","wDarkShell",
						"alert","DarkShellInc",
					},		
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end