local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(548)
local instance = EJ_GetInstanceInfo(254) or ""
do
	local data = {
		version = 1,
		key = "Zereketh",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name = "["..instance.."] "..EJName,
		triggers = {
			scan = {20870}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	20870 	},
			unittracing = {	"boss1"},
			defeat = 20870,
		},
		userdata = {

		},
		arrows = {
			SeedOfCorruptionarrow = {
				varname = SN[36123],
				unit = "#5#",
				persist = 5,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[36123],
				range1 = 5,
				range2 = 10,
				range3 = 12,
				desc = 36123,
				icon = ST[36123],
			},		
		},				
		raidicons = {
			Seedmark = {
				varname = SN[36123],
				type = "FRIENDLY",
				persist = 20,
				unit = "#5#", 
				icon = 1,
				desc = 36123,
				icon2 = ST[36123],
			},					
		},			
		messages = {
			mSeedOfCorruption = {
				varname = format(L.alert["%s %s %s"],SN[36123],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[36123],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 36123,
				icon = ST[36123],
			},
			mVoidZone = {
				varname = format(L.alert["%s %s %s"],SN[36119],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[36119],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 36119,
				icon = ST[36119],
			},
		},
		onstart = {

		},
		alerts = {
			-- Warning
			wShadowNova = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[39005]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[39005]),
				time = 2,
				color1 = "RED",
				icon = ST[39005],
				sound = "ALERT10",
				desc = 39005,
				--flashscreen = true,
			},
			-- Debuff
			SeedOfCorruptionDebuff = {
				varname = format(L.alert["%s Debuff"],SN[36123]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[36123]),
				time = 18,
				color1 = "RED",
				desc = 36123,
				icon = ST[36123],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			-- ShadowNova 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {36127, 39005},
				execute = {	
					{
						"alert","wShadowNova",
					},		
				},
			},
			-- VoidZone 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {36119},
				execute = {	
					{
						"message","mVoidZone",
					},		
				},
			},			
			-- SeedOfCorruption 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {36123, 39367},
				execute = {
					{
						"message","mSeedOfCorruption",
						"alert","SeedOfCorruptionDebuff",
						"raidicon","Seedmark",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"openwindow",{"10",nil,false,36123},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"arrow","SeedOfCorruptionarrow",
					},					
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {36123, 39367},
				execute = {
					{ 
						"quash","SeedOfCorruptionDebuff",
						"removeraidicon","#5#",
						"removearrow","#5#",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"closewindow",{true},
					},
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end