local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(554)
local instance = EJ_GetInstanceInfo(255) or ""
do
	local data = {
		version = 1,
		key = "Aeonus",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {17881}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {17881},
			unittracing = {"boss1"},
			defeat = 17881,
		},
		userdata = {

		},		
		messages = {
			mEnrage = {
				varname = format(L.alert["%s!"],SN[37605]),
				type = "message",
				text = format(L.alert["%s!"],SN[37605]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 37605,
				icon = ST[37605],
			},
		},
		onstart = {

		},
		alerts = {
			-- Debuff
			EnrageDebuff = {
				varname = format(L.alert["%s Debuff"],SN[37605]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[37605]),
				time = 8,
				color1 = "ORANGE",
				desc = 37605,
				icon = ST[37605],
				tag = "#5#",
				exdps = true,				
			},
		},
		events = {
			-- Enrage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {37605},
				execute = {
					{
						"alert","EnrageDebuff",
						"message","mEnrage",
					},	
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {37605},
				execute = {
					{ 
						"quash","EnrageDebuff",
					},
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end