local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(566)
local instance = EJ_GetInstanceInfo(259) or ""
do
	local data = {
		version = 1,
		key = "Nethekurse",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name = "["..instance.."] "..EJName,
		triggers = {
			scan = {16807}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {16807},
			unittracing = {"boss1"},
			defeat = 16807,
		},
		userdata = {

		},		
		messages = {
			mShadowFissure = {
				varname = format(L.alert["%s!"],SN[30496]),
				type = "message",
				text = format(L.alert["%s!"],SN[30496]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 30496,
				icon = ST[30496],
			},	
		},
		onstart = {

		},
		alerts = {
			ShadowFissureCD = {
				varname = format(L.alert["%s Cooldown"],SN[30496]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[30496]),
				time = 8.5,
				color1 = "GLOBAL",
				icon = ST[30496],
				desc = 30496,
			},
		},
		events = {
			-- MannorothsGaze 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {30496},
				execute = {	
					{
						"message","mShadowFissure",
						"alert","ShadowFissureCD",
					},		
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end