local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(619)
local instance = EJ_GetInstanceInfo(281) or ""
do
	local data = {
		version = 1,
		key = "Anomalus",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {26763}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {26763},
			unittracing = {"boss1"},
			defeat = 26763,
		},
		userdata = {

		},		
		onstart = {

		},
		alerts = {
			-- Warning
			wRift = {
				varname = format(L.alert["%s"],SN[47743]),
				type = "simple",
				text = format(L.alert["%s"],SN[47743]),
				time = 2,
				color1 = "RED",
				icon = ST[47743],
				sound = "ALERT10",
				desc = 47743,
				--flashscreen = true,
			},		
		},
		events = {
			-- Rift
			{
				type = "combatevent",
				eventtype = "SPELL_SUMMON",
				spellid = {47743},
				execute = {
					{ 
						"alert","wRift",
					},
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end