local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(642)
local instance = EJ_GetInstanceInfo(286) or ""
do
	local data = {
		version = 1,
		key = "GortokPalehoof",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {26687}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {26687},
			unittracing = {"boss1"},
			defeat = 26687,
		},
		userdata = {

		},		
		messages = {
			mImpale = {
				varname = format(L.alert["%s %s %s"],SN[48261],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[48261],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 48261,
				icon = ST[48261],
			},
		},
		onstart = {

		},
		alerts = {
			-- Debuff
			ImpaleDebuff = {
				varname = format(L.alert["%s Debuff"],SN[48261]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[48261]),
				text2 = format(L.alert["#5#: %s"],SN[48261]),
				time = 9,
				color1 = "RED",
				desc = 48261,
				icon = ST[48261],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- Impale
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {48261, 59268},
				execute = {
					{
						"alert","ImpaleDebuff",
						"message","mImpale",
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {48261, 59268},
				execute = {
					{
						"quash","ImpaleDebuff",
					},		
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end