local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1452)
do
	local data = {
		version = 1,
		key = "Kazzak",
		zone = L.zone["Draenor"],
		category = L.zone["Draenor"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-SupremeLordKazzak.BLP:35:35",
		triggers = {
			scan = {94015}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {94015},
			--unittracing = {	"boss1"},
			defeat = 94015,
			delayrecombat = 20,
		},
		userdata = {

		},	
		announces = { 
			ColossalSlamsay = {
				varname = format(L.alert["%s %s %s!"],SN[175791],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[175791],L.alert["on"],L.alert["Me"]),
				desc = 175791,
				icon = ST[175791],
			},					
		},			
		messages = {
			mFelBreath = {
				varname = format(L.alert["%s %s %s"],SN[187664],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[187664],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 187664,
				icon = ST[187664],
			},
		},
		onstart = {

		},
		alerts = {
			wSupremeDoom = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[187466]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[187466]),
				time = 2,
				color1 = "RED",
				icon = ST[187466],
				sound = "ALERT11",
				desc = 187466,
			},
			-- Inform
			iMarkOfKazzak = {
				varname = format(L.alert["%s %s %s!"],SN[187668],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[187668],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[187668],
				sound = "ALERT9",
				desc = 187668,
			},
			-- Debuff
			FelBreathDebuff = {
				varname = format(L.alert["%s Debuff"],SN[187664]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[187664]),
				text2 = format(L.alert["#5#: %s"],SN[187664]),
				time = 10,
				color1 = "RED",
				desc = 187664,
				icon = ST[187664],
				tag = "#5#",			
			},	
			MarkOfKazzakDebuff = {
				varname = format(L.alert["%s Debuff"],SN[187668]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[187668]),
				--text2 = format(L.alert["#5#: %s"],SN[187668]),
				time = 15,
				color1 = "GOLD",
				desc = 187668,
				icon = ST[187668],
				tag = "#5#",			
			},				
		},
		events = {
			-- FelBreath
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {187664},
				execute = {
					{
						"expect",{"&istargettank|#5#&","==","true"},
						"invoke",{
							{
								"message","mFelBreath",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"FelBreathDebuff", text = 2},
							},
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert","FelBreathDebuff",
							},
						},
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {187664},
				execute = {
					{
						"expect",{"&istargettank|#5#&","==","true"},
						"quash","FelBreathDebuff",
					},						
				},
			},				
			-- SupremeDoom
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {187466},
				execute = {
					{
						"alert","wSupremeDoom",
					},
				},
			},	
			-- MarkOfKazzak
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {187668},
				dstisplayerunit = true,
				execute = {
					{
						"alert","MarkOfKazzakDebuff",
						"alert","iMarkOfKazzak",
						"openwindow",{"8",nil,false,187668},
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {187668},
				dstisplayerunit = true,
				execute = {
					{
						"quash","MarkOfKazzakDebuff",
						"closewindow",{true},
					},						
				},
			},							
		},
	}

	DXE:RegisterEncounter(data)
end