local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(535)
local instance = EJ_GetInstanceInfo(250) or ""
do
	local data = {
		version = 1,
		key = "Tavarok",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {22930}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {22930},
			unittracing = {"boss1"},
			defeat = 22930,
		},
		userdata = {

		},
		raidicons = {
			CrystalPrisonmark = {
				varname = SN[32361],
				type = "FRIENDLY",
				persist = 60,
				unit = "#5#",
				icon = 1,
				desc = 32361,
				icon2 = ST[32361],
			},			
		},		
		messages = {
			mCrystalPrison = {
				varname = format(L.alert["%s %s %s"],SN[32361],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[32361],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 32361,
				icon = ST[32361],
			},
		},
		onstart = {

		},
		alerts = {
			-- Debuff
			CrystalPrisonDebuff = {
				varname = format(L.alert["%s Debuff"],SN[32361]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[32361]),
				time = 5,
				color1 = "RED",
				desc = 32361,
				icon = ST[32361],
				tag = "#5#",
				exdps = true,				
			},
		},
		events = {
			-- CrystalPrison
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {32361}, 
				execute = {
					{
						"raidicon","CrystalPrisonmark",
						"message","mCrystalPrison",
						"alert","CrystalPrisonDebuff",
					},
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {32361}, 
				execute = {
					{
						"removeraidicon","#5#",
						"quash","CrystalPrisonDebuff",
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end