local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(583)
local instance = EJ_GetInstanceInfo(271) or ""
do
	local data = {
		version = 1,
		key = "Amanitar",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {30258}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {30258},
			unittracing = {"boss1"},
			defeat = 30258,
		},
		userdata = {

		},		
		onstart = {

		},
		alerts = {
			MiniCD = {
				varname = format(L.alert["%s Cooldown"],SN[57055]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[57055]),
				time = 30,
				color1 = "GLOBAL",
				icon = ST[57055],
				desc = 57055,	
			},
			-- Warning
			wMini = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[57055]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[57055]),
				time = 2,
				color1 = "RED",
				icon = ST[57055],
				sound = "ALERT11",
				desc = 57055,
				--flashscreen = true,
			},			
		},
		events = {
			-- Mini
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {57055},
				execute = {
					{
						"batchalert",{"MiniCD","wMini"},
					},
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end