local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(593)
local instance = EJ_GetInstanceInfo(274) or ""
do
	local data = {
		version = 1,
		key = "BloodstoneAnnihilator",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {29307}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {29307},
			unittracing = {"boss1"},
			defeat = 29307,
		},
		userdata = {

		},		
		messages = {
			mElemental = {
				varname = format(L.alert["%s!"],EJSN[6421]),
				type = "message",
				text = format(L.alert["%s!"],EJSN[6421]),
				color1 = "YELLOW",
				sound = "ALERT13",
				ability = 6421,
				icon = ST[54850],
			},
			mStone = {
				varname = format(L.alert["%s!"],EJSN[6418]),
				type = "message",
				text = format(L.alert["%s!"],EJSN[6418]),
				color1 = "YELLOW",
				sound = "ALERT13",
				ability = 6418,
				icon = ST[54850],
			},			
		},
		onstart = {

		},
		alerts = {

		},
		events = {
			-- Elemental
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {54850},
				execute = {
					{
						"message","mElemental",
					},				
				},
			},
			-- Stone
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {54878},
				execute = {
					{
						"message","mStone",
					},				
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end