local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(643)
local instance = EJ_GetInstanceInfo(286) or ""
do
	local data = {
		version = 1,
		key = "SkadiTheRuthless",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {26693}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {26693},
			unittracing = {"boss1"},
			defeat = 26693,
		},
		userdata = {

		},		
		messages = {
			mPoison = {
				varname = format(L.alert["%s %s %s"],SN[59331],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[59331],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 59331,
				icon = ST[59331],
			},
		},
		onstart = {

		},
		alerts = {
			WhirlwindCD = {
				varname = format(L.alert["%s Cooldown"],SN[59322]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[59322]),
				time = 23,
				color1 = "GLOBAL",
				icon = ST[59322],
				desc = 59322,	
			},	
			-- Warning
			wWhirlwind = {
				varname = format(L.alert["%s"],SN[59322]),
				type = "simple",
				text = format(L.alert["%s"],SN[59322]),
				time = 2,
				color1 = "RED",
				icon = ST[59322],
				sound = "ALERT13",
				desc = 59322,
				--flashscreen = true,
			},
			-- Debuff
			PoisonDebuff = {
				varname = format(L.alert["%s Debuff"],SN[59331]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[59331]),
				text2 = format(L.alert["#5#: %s"],SN[59331]),
				time = 12,
				color1 = "RED",
				desc = 59331,
				icon = ST[59331],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- Poison
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {59331, 50255},
				execute = {
					{
						"alert","PoisonDebuff",
						"message","mPoison",
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {55959, 59513},
				execute = {
					{
						"quash","PoisonDebuff",
					},		
				},
			},
			-- Whirlwind
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {59322, 50228},
				execute = {
					{
						"alert","WhirlwindCD",
						"alert","wWhirlwind",
					},		
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end