local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(641)
local instance = EJ_GetInstanceInfo(286) or ""
do
	local data = {
		version = 1,
		key = "SvalaSorrowgrave",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {26668}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {26668},
			unittracing = {"boss1"},
			defeat = 26668,
		},
		userdata = {

		},		
		messages = {
			mSacrifice = {
				varname = format(L.alert["%s %s %s"],SN[48267],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[48267],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 48267,
				icon = ST[48267],
			},
		},
		onstart = {

		},
		alerts = {
			-- Casts
			SacrificeAct = {
				varname = format(L.alert["%s Active"],SN[48276]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[48276]),
				time = 25,
				color1 = "ORANGE",
				icon = ST[48276],
				desc = 48276,
			},
		},
		events = {
			-- Sacrifice
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {48267},
				execute = {
					{
						"message","mSacrifice",
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {48276},
				execute = {
					{
						"alert","SacrificeAct",
					},		
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end