local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(1291)
do
	local data = {
		version = 1,
		key = "Drov",
		zone = L.zone["Draenor"],
		category = L.zone["Draenor"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-Drov the Ruiner.BLP:35:35",
		triggers = {
			scan = {81252}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {81252},
			--unittracing = {	"boss1"},
			defeat = {81252},
			delayrecombat = 20,
		},
		userdata = {

		},	
		announces = { 
			ColossalSlamsay = {
				varname = format(L.alert["%s %s %s!"],SN[175791],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[175791],L.alert["on"],L.alert["Me"]),
				desc = 175791,
				icon = ST[175791],
			},					
		},			
		messages = {
			mColossalSlam = {
				varname = format(L.alert["%s %s %s"],SN[175791],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &upvalue&"],SN[175791],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 175791,
				icon = ST[175791],
			},	
		},
		onstart = {

		},
		alerts = {
			wGigaSmash = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[159113]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[159113]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[159113],
				sound = "ALERT10",
				desc = 159113,
			},
			wCallofEarth = {
				varname = format(L.alert["%s!"],SN[119622]),
				type = "simple",
				text = format(L.alert["%s!"],SN[119622]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[119622],
				sound = "ALERT10",
				desc = 119622,
			},
			-- Inform
			iColossalSlam = {
				varname = format(L.alert["%s %s %s!"],SN[175791],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[175791],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[175791],
				sound = "ALERT11",
				desc = 175791,
				flashscreen = true,
			},
		},
		events = {
			-- ColossalSlam
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {175791},
				execute = {
					{
						"target",{
							source = "#1#",
							wait = 0.02,
							schedule = 16,
							announce = "ColossalSlamsay",
							message = "mColossalSlam",
							alerts = {
								self = "iColossalSlam",
							},
						},
					},
				},
			},
			-- GigaSmash
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {175953},
				execute = {
					{
						"alert","wGigaSmash",
					},
				},
			},
			-- CallofEarth
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {119622},
				execute = {
					{
						"alert","wCallofEarth",
					},						
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end